1D Window Column Sum
1D Window Sum

1D mask Window Column Sum for 8 and 16 bit images. More...

## Functions

NppStatus | nppiSumWindowColumn_8u32f_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| One channel 8-bit unsigned 1D (column) sum to 32f. More...
NppStatus | nppiSumWindowColumn_8u32f_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiSumWindowColumn_8u32f_C3R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned 1D (column) sum to 32f. More...
NppStatus | nppiSumWindowColumn_8u32f_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiSumWindowColumn_8u32f_C4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned 1D (column) sum to 32f. More...
NppStatus | nppiSumWindowColumn_8u32f_C4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiSumWindowColumn_16u32f_C1R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| One channel 16-bit unsigned 1D (column) sum to 32f. More...
NppStatus | nppiSumWindowColumn_16u32f_C1R (const Npp16u *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiSumWindowColumn_16u32f_C3R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| Three channel 16-bit unsigned 1D (column) sum to 32f. More...
NppStatus | nppiSumWindowColumn_16u32f_C3R (const Npp16u *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiSumWindowColumn_16u32f_C4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned 1D (column) sum to 32f. More...
NppStatus | nppiSumWindowColumn_16u32f_C4R (const Npp16u *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiSumWindowColumn_16s32f_C1R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| One channel 16-bit signed 1D (column) sum to 32f. More...
NppStatus | nppiSumWindowColumn_16s32f_C1R (const Npp16s *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiSumWindowColumn_16s32f_C3R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| Three channel 16-bit signed 1D (column) sum to 32f. More...
NppStatus | nppiSumWindowColumn_16s32f_C3R (const Npp16s *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiSumWindowColumn_16s32f_C4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed 1D (column) sum to 32f. More...
NppStatus | nppiSumWindowColumn_16s32f_C4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, Npp32s nMaskSize, Npp32s nAnchor)

## Detailed Description

1D mask Window Column Sum for 8 and 16 bit images.

### Common parameters for nppiSumWindowColumn functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oROI | Region-of-Interest (ROI).
  nMaskSize | Length of the linear kernel array.
  nAnchor | Y offset of the kernel origin frame of reference relative to the source pixel.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiSumWindowColumn_16s32f_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiSumWindowColumn_16s32f_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One channel 16-bit signed 1D (column) sum to 32f.

Apply Column Window Summation filter over a 1D mask region around each source pixel for 1-channel 16 bit/pixel input images with 32-bit floating point output. Result 32-bit floating point pixel is equal to the sum of the corresponding and neighboring column pixel values in a mask region of the source image defined by nMaskSize and nAnchor.

For common parameter descriptions, see Common parameters for nppiSumWindowColumn functions.

NppStatus nppiSumWindowColumn_16s32f_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiSumWindowColumn_16s32f_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit signed 1D (column) sum to 32f.

Apply Column Window Summation filter over a 1D mask region around each source pixel for 1-channel 16 bit/pixel input images with 32-bit floating point output. Result 32-bit floating point pixel is equal to the sum of the corresponding and neighboring column pixel values in a mask region of the source image defined by nMaskSize and nAnchor.

For common parameter descriptions, see Common parameters for nppiSumWindowColumn functions.

NppStatus nppiSumWindowColumn_16s32f_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiSumWindowColumn_16s32f_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed 1D (column) sum to 32f.

Apply Column Window Summation filter over a 1D mask region around each source pixel for 4-channel 16 bit/pixel input images with 32-bit floating point output. Result 32-bit floating point pixel is equal to the sum of the corresponding and neighboring column pixel values in a mask region of the source image defined by nMaskSize and nAnchor.

For common parameter descriptions, see Common parameters for nppiSumWindowColumn functions.

NppStatus nppiSumWindowColumn_16u32f_C1R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiSumWindowColumn_16u32f_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One channel 16-bit unsigned 1D (column) sum to 32f.

Apply Column Window Summation filter over a 1D mask region around each source pixel for 1-channel 16 bit/pixel input images with 32-bit floating point output. Result 32-bit floating point pixel is equal to the sum of the corresponding and neighboring column pixel values in a mask region of the source image defined by nMaskSize and nAnchor.

For common parameter descriptions, see Common parameters for nppiSumWindowColumn functions.

NppStatus nppiSumWindowColumn_16u32f_C3R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiSumWindowColumn_16u32f_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit unsigned 1D (column) sum to 32f.

Apply Column Window Summation filter over a 1D mask region around each source pixel for 3-channel 16 bit/pixel input images with 32-bit floating point output. Result 32-bit floating point pixel is equal to the sum of the corresponding and neighboring column pixel values in a mask region of the source image defined by nMaskSize and nAnchor.

For common parameter descriptions, see Common parameters for nppiSumWindowColumn functions.

NppStatus nppiSumWindowColumn_16u32f_C4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiSumWindowColumn_16u32f_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned 1D (column) sum to 32f.

Apply Column Window Summation filter over a 1D mask region around each source pixel for 4-channel 16 bit/pixel input images with 32-bit floating point output. Result 32-bit floating point pixel is equal to the sum of the corresponding and neighboring column pixel values in a mask region of the source image defined by nMaskSize and nAnchor.

For common parameter descriptions, see Common parameters for nppiSumWindowColumn functions.

NppStatus nppiSumWindowColumn_8u32f_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiSumWindowColumn_8u32f_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One channel 8-bit unsigned 1D (column) sum to 32f.

Apply Column Window Summation filter over a 1D mask region around each source pixel for 1-channel 8 bit/pixel input images with 32-bit floating point output. Result 32-bit floating point pixel is equal to the sum of the corresponding and neighboring column pixel values in a mask region of the source image defined by nMaskSize and nAnchor.

For common parameter descriptions, see Common parameters for nppiSumWindowColumn functions.

NppStatus nppiSumWindowColumn_8u32f_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiSumWindowColumn_8u32f_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned 1D (column) sum to 32f.

Apply Column Window Summation filter over a 1D mask region around each source pixel for 3-channel 8 bit/pixel input images with 32-bit floating point output. Result 32-bit floating point pixel is equal to the sum of the corresponding and neighboring column pixel values in a mask region of the source image defined by nMaskSize and nAnchor.

For common parameter descriptions, see Common parameters for nppiSumWindowColumn functions.

NppStatus nppiSumWindowColumn_8u32f_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiSumWindowColumn_8u32f_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned 1D (column) sum to 32f.

Apply Column Window Summation filter over a 1D mask region around each source pixel for 4-channel 8 bit/pixel input images with 32-bit floating point output. Result 32-bit floating point pixel is equal to the sum of the corresponding and neighboring column pixel values in a mask region of the source image defined by nMaskSize and nAnchor.

For common parameter descriptions, see Common parameters for nppiSumWindowColumn functions.

Copyright © 2009-2018 NVIDIA Corporation